>From e21382bdda8159e31f8235905a759fc90fcab517 Mon Sep 17 00:00:00 2001
From: Nikolai Kondrashov <Nikolai.Kondrashov@redhat.com>
Date: Thu, 10 Oct 2013 14:22:00 +0300
Subject: [PATCH 3/4] Make DEBUG macro variadic

Make DEBUG macro accept variable number of arguments, thus removing the
need to wrap the format string and its arguments into parens on
invocation.
---
 src/confdb/confdb.c                                | 142 +++---
 src/confdb/confdb_setup.c                          |  58 +--
 src/db/sysdb.c                                     | 100 ++--
 src/db/sysdb_autofs.c                              |  78 +--
 src/db/sysdb_idmap.c                               |  44 +-
 src/db/sysdb_ops.c                                 | 294 ++++++------
 src/db/sysdb_ranges.c                              |  38 +-
 src/db/sysdb_search.c                              |  20 +-
 src/db/sysdb_selinux.c                             |  28 +-
 src/db/sysdb_services.c                            |  74 +--
 src/db/sysdb_ssh.c                                 |  46 +-
 src/db/sysdb_subdomains.c                          |  44 +-
 src/db/sysdb_sudo.c                                |  60 +--
 src/db/sysdb_upgrade.c                             | 128 ++---
 src/monitor/monitor.c                              | 330 ++++++-------
 src/monitor/monitor_netlink.c                      | 114 ++---
 src/monitor/monitor_sbus.c                         |  30 +-
 src/providers/ad/ad_access.c                       |   2 +-
 src/providers/ad/ad_common.c                       | 142 +++---
 src/providers/ad/ad_domain_info.c                  |  50 +-
 src/providers/ad/ad_dyndns.c                       |  52 +-
 src/providers/ad/ad_id.c                           |  26 +-
 src/providers/ad/ad_init.c                         |  42 +-
 src/providers/ad/ad_srv.c                          |  66 +--
 src/providers/ad/ad_subdomains.c                   |  72 +--
 src/providers/data_provider_be.c                   | 426 ++++++++---------
 src/providers/data_provider_callbacks.c            |  26 +-
 src/providers/data_provider_fo.c                   |  78 +--
 src/providers/data_provider_opts.c                 | 104 ++--
 src/providers/dp_auth_util.c                       |  50 +-
 src/providers/dp_dyndns.c                          | 124 ++---
 src/providers/dp_pam_data_util.c                   |  30 +-
 src/providers/dp_ptask.c                           |  70 +--
 src/providers/dp_refresh.c                         |  12 +-
 src/providers/fail_over.c                          | 120 ++---
 src/providers/fail_over_srv.c                      |  28 +-
 src/providers/ipa/ipa_access.c                     |  70 +--
 src/providers/ipa/ipa_auth.c                       |  66 +--
 src/providers/ipa/ipa_autofs.c                     |   4 +-
 src/providers/ipa/ipa_common.c                     | 174 +++----
 src/providers/ipa/ipa_config.c                     |   8 +-
 src/providers/ipa/ipa_dyndns.c                     |  36 +-
 src/providers/ipa/ipa_hbac_common.c                |  88 ++--
 src/providers/ipa/ipa_hbac_hosts.c                 |  42 +-
 src/providers/ipa/ipa_hbac_rules.c                 |  18 +-
 src/providers/ipa/ipa_hbac_services.c              |  56 +--
 src/providers/ipa/ipa_hbac_users.c                 |  34 +-
 src/providers/ipa/ipa_hostid.c                     |   8 +-
 src/providers/ipa/ipa_hosts.c                      |  22 +-
 src/providers/ipa/ipa_id.c                         |  10 +-
 src/providers/ipa/ipa_idmap.c                      |  38 +-
 src/providers/ipa/ipa_init.c                       |  94 ++--
 src/providers/ipa/ipa_netgroups.c                  |  56 +--
 src/providers/ipa/ipa_s2n_exop.c                   | 120 ++---
 src/providers/ipa/ipa_selinux.c                    |  98 ++--
 src/providers/ipa/ipa_selinux_common.c             |  12 +-
 src/providers/ipa/ipa_selinux_maps.c               |   8 +-
 src/providers/ipa/ipa_srv.c                        |  10 +-
 src/providers/ipa/ipa_subdomains.c                 | 160 +++----
 src/providers/ipa/ipa_subdomains_ext_groups.c      | 162 +++----
 src/providers/ipa/ipa_subdomains_id.c              |  24 +-
 src/providers/ipa/ipa_sudo.c                       |   6 +-
 src/providers/krb5/krb5_access.c                   |  26 +-
 src/providers/krb5/krb5_auth.c                     | 210 ++++----
 src/providers/krb5/krb5_become_user.c              |  30 +-
 src/providers/krb5/krb5_child.c                    | 334 ++++++-------
 src/providers/krb5/krb5_child_handler.c            |  60 +--
 src/providers/krb5/krb5_common.c                   | 212 ++++-----
 .../krb5/krb5_delayed_online_authentication.c      |  88 ++--
 src/providers/krb5/krb5_init.c                     |  28 +-
 src/providers/krb5/krb5_init_shared.c              |  18 +-
 src/providers/krb5/krb5_renew_tgt.c                | 136 +++---
 src/providers/krb5/krb5_utils.c                    | 186 ++++----
 src/providers/krb5/krb5_wait_queue.c               |  32 +-
 src/providers/ldap/ldap_access.c                   |   4 +-
 src/providers/ldap/ldap_auth.c                     | 124 ++---
 src/providers/ldap/ldap_child.c                    | 124 ++---
 src/providers/ldap/ldap_common.c                   | 254 +++++-----
 src/providers/ldap/ldap_id.c                       |  58 +--
 src/providers/ldap/ldap_id_cleanup.c               |  54 +--
 src/providers/ldap/ldap_id_enum.c                  |   6 +-
 src/providers/ldap/ldap_id_netgroup.c              |   8 +-
 src/providers/ldap/ldap_id_services.c              |   8 +-
 src/providers/ldap/ldap_init.c                     |  90 ++--
 src/providers/ldap/sdap.c                          | 180 +++----
 src/providers/ldap/sdap_access.c                   | 188 ++++----
 src/providers/ldap/sdap_async.c                    | 254 +++++-----
 src/providers/ldap/sdap_async_autofs.c             | 108 ++---
 src/providers/ldap/sdap_async_connection.c         | 264 +++++------
 src/providers/ldap/sdap_async_enum.c               |  52 +-
 src/providers/ldap/sdap_async_groups.c             | 282 +++++------
 src/providers/ldap/sdap_async_groups_ad.c          |  26 +-
 src/providers/ldap/sdap_async_initgroups.c         | 316 ++++++------
 src/providers/ldap/sdap_async_initgroups_ad.c      |  94 ++--
 src/providers/ldap/sdap_async_nested_groups.c      | 172 +++----
 src/providers/ldap/sdap_async_netgroups.c          |  88 ++--
 src/providers/ldap/sdap_async_services.c           |  70 +--
 src/providers/ldap/sdap_async_sudo.c               |  44 +-
 src/providers/ldap/sdap_async_sudo_hostinfo.c      |  68 +--
 src/providers/ldap/sdap_async_sudo_timer.c         |  14 +-
 src/providers/ldap/sdap_async_users.c              | 102 ++--
 src/providers/ldap/sdap_autofs.c                   |  20 +-
 src/providers/ldap/sdap_child_helpers.c            |  48 +-
 src/providers/ldap/sdap_dyndns.c                   |  84 ++--
 src/providers/ldap/sdap_fd_events.c                |  56 +--
 src/providers/ldap/sdap_id_op.c                    |  80 ++--
 src/providers/ldap/sdap_idmap.c                    |  84 ++--
 src/providers/ldap/sdap_range.c                    |  26 +-
 src/providers/ldap/sdap_refresh.c                  |  14 +-
 src/providers/ldap/sdap_reinit.c                   |  36 +-
 src/providers/ldap/sdap_sudo.c                     | 176 +++----
 src/providers/ldap/sdap_sudo_cache.c               |  30 +-
 src/providers/proxy/proxy_auth.c                   | 134 +++---
 src/providers/proxy/proxy_child.c                  | 100 ++--
 src/providers/proxy/proxy_id.c                     | 240 +++++-----
 src/providers/proxy/proxy_init.c                   |  98 ++--
 src/providers/proxy/proxy_netgroup.c               |  40 +-
 src/providers/proxy/proxy_services.c               |  32 +-
 src/providers/simple/simple_access.c               |  24 +-
 src/providers/simple/simple_access_check.c         | 118 ++---
 src/resolv/async_resolv.c                          | 136 +++---
 src/resolv/async_resolv_utils.c                    |  24 +-
 src/responder/autofs/autofssrv.c                   |  30 +-
 src/responder/autofs/autofssrv_cmd.c               | 202 ++++----
 src/responder/autofs/autofssrv_dp.c                |  14 +-
 src/responder/common/negcache.c                    |  62 +--
 src/responder/common/responder_cmd.c               |  10 +-
 src/responder/common/responder_common.c            | 196 ++++----
 src/responder/common/responder_dp.c                |  80 ++--
 src/responder/common/responder_get_domains.c       |  40 +-
 src/responder/nss/nsssrv.c                         |  68 +--
 src/responder/nss/nsssrv_cmd.c                     | 528 ++++++++++-----------
 src/responder/nss/nsssrv_mmap_cache.c              |  88 ++--
 src/responder/nss/nsssrv_netgroup.c                | 122 ++---
 src/responder/nss/nsssrv_private.h                 |   4 +-
 src/responder/nss/nsssrv_services.c                | 140 +++---
 src/responder/pac/pacsrv.c                         |  26 +-
 src/responder/pac/pacsrv_cmd.c                     | 182 +++----
 src/responder/pac/pacsrv_utils.c                   |  80 ++--
 src/responder/pam/pam_LOCAL_domain.c               |  36 +-
 src/responder/pam/pam_helpers.c                    |  16 +-
 src/responder/pam/pamsrv.c                         |  22 +-
 src/responder/pam/pamsrv_cmd.c                     | 136 +++---
 src/responder/pam/pamsrv_dp.c                      |  24 +-
 src/responder/ssh/sshsrv.c                         |  30 +-
 src/responder/ssh/sshsrv_cmd.c                     |  94 ++--
 src/responder/ssh/sshsrv_dp.c                      |  14 +-
 src/responder/sudo/sudosrv.c                       |  24 +-
 src/responder/sudo/sudosrv_cmd.c                   |  50 +-
 src/responder/sudo/sudosrv_dp.c                    |  16 +-
 src/responder/sudo/sudosrv_get_sudorules.c         | 134 +++---
 src/responder/sudo/sudosrv_query.c                 |  40 +-
 src/sbus/sbus_client.c                             |   4 +-
 src/sbus/sssd_dbus_common.c                        |  28 +-
 src/sbus/sssd_dbus_connection.c                    |  64 +--
 src/sbus/sssd_dbus_server.c                        |  68 +--
 src/sss_client/ssh/sss_ssh_authorizedkeys.c        |   8 +-
 src/sss_client/ssh/sss_ssh_knownhostsproxy.c       |  46 +-
 src/tests/auth-tests.c                             |   2 +-
 src/tests/cmocka/test_dyndns.c                     |  18 +-
 src/tests/cmocka/test_fqnames.c                    |  12 +-
 src/tests/common_dom.c                             |  36 +-
 src/tests/common_tev.c                             |   4 +-
 src/tests/debug-tests.c                            |   4 +-
 src/tests/files-tests.c                            |  12 +-
 src/tests/krb5_child-test.c                        |  44 +-
 src/tests/resolv-tests.c                           |  44 +-
 src/tests/simple_access-tests.c                    |  10 +-
 src/tests/sysdb-tests.c                            |   4 +-
 src/tests/sysdb_ssh-tests.c                        |   2 +-
 src/tools/files.c                                  | 112 ++---
 src/tools/selinux.c                                |  60 +--
 src/tools/sss_cache.c                              |  60 +--
 src/tools/sss_debuglevel.c                         |  28 +-
 src/tools/sss_groupadd.c                           |  12 +-
 src/tools/sss_groupdel.c                           |   6 +-
 src/tools/sss_groupmod.c                           |  20 +-
 src/tools/sss_groupshow.c                          |  50 +-
 src/tools/sss_seed.c                               | 126 ++---
 src/tools/sss_sync_ops.c                           |  36 +-
 src/tools/sss_useradd.c                            |  22 +-
 src/tools/sss_userdel.c                            |  12 +-
 src/tools/sss_usermod.c                            |  18 +-
 src/tools/tools_mc_util.c                          |  52 +-
 src/tools/tools_util.c                             | 112 ++---
 src/tools/tools_util.h                             |   2 +-
 src/util/authtok.c                                 |   2 +-
 src/util/backup_file.c                             |  24 +-
 src/util/check_and_open.c                          |  26 +-
 src/util/child_common.c                            | 106 ++---
 src/util/crypto/libcrypto/crypto_base64.c          |   2 +-
 src/util/crypto/libcrypto/crypto_obfuscate.c       |  18 +-
 src/util/crypto/nss/nss_obfuscate.c                |  66 +--
 src/util/crypto/nss/nss_util.c                     |   8 +-
 src/util/debug.c                                   |   4 +-
 src/util/domain_info_utils.c                       |  84 ++--
 src/util/find_uid.c                                |  56 +--
 src/util/nscd.c                                    |  18 +-
 src/util/server.c                                  |  80 ++--
 src/util/signal.c                                  |   2 +-
 src/util/sss_ini.c                                 |  26 +-
 src/util/sss_krb5.c                                | 110 ++---
 src/util/sss_krb5.h                                |   2 +-
 src/util/sss_ldap.c                                |  72 +--
 src/util/sss_nss.c                                 |  42 +-
 src/util/sss_selinux.c                             |  26 +-
 src/util/sss_ssh.c                                 |   2 +-
 src/util/user_info_msg.c                           |   4 +-
 src/util/usertools.c                               |  70 +--
 src/util/util.c                                    |  10 +-
 src/util/util.h                                    |  11 +-
 src/util/util_lock.c                               |  10 +-
 212 files changed, 7556 insertions(+), 7555 deletions(-)

diff --git a/src/confdb/confdb.c b/src/confdb/confdb.c
index 6527ede..dbccaea 100644
--- a/src/confdb/confdb.c
+++ b/src/confdb/confdb.c
@@ -206,8 +206,8 @@ int confdb_add_param(struct confdb_ctx *cdb,
 done:
     talloc_free(tmp_ctx);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to add [%s] to [%s], error [%d] (%s)\n",
-                  attribute, section, ret, strerror(ret)));
+        DEBUG(1, "Failed to add [%s] to [%s], error [%d] (%s)\n",
+                  attribute, section, ret, strerror(ret));
     }
     return ret;
 }
@@ -282,8 +282,8 @@ int confdb_get_param(struct confdb_ctx *cdb,
 done:
     talloc_free(tmp_ctx);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to get [%s] from [%s], error [%d] (%s)\n",
-                  attribute, section, ret, strerror(ret)));
+        DEBUG(1, "Failed to get [%s] from [%s], error [%d] (%s)\n",
+                  attribute, section, ret, strerror(ret));
     }
     return ret;
 }
@@ -325,7 +325,7 @@ int confdb_set_bool(struct confdb_ctx *cdb,
     lret = ldb_msg_add_empty(msg, attribute, LDB_FLAG_MOD_REPLACE, NULL);
     if (lret != LDB_SUCCESS) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("ldb_msg_add_empty failed: [%s]\n", ldb_strerror(lret)));
+              "ldb_msg_add_empty failed: [%s]\n", ldb_strerror(lret));
         ret = EIO;
         goto done;
     }
@@ -337,7 +337,7 @@ int confdb_set_bool(struct confdb_ctx *cdb,
     }
     if (lret != LDB_SUCCESS) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("ldb_msg_add_string failed: [%s]\n", ldb_strerror(lret)));
+              "ldb_msg_add_string failed: [%s]\n", ldb_strerror(lret));
         ret = EIO;
         goto done;
     }
@@ -346,7 +346,7 @@ int confdb_set_bool(struct confdb_ctx *cdb,
     lret = ldb_modify(cdb->ldb, msg);
     if (lret != LDB_SUCCESS) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("ldb_modify failed: [%s]\n", ldb_strerror(lret)));
+              "ldb_modify failed: [%s]\n", ldb_strerror(lret));
         ret = EIO;
         goto done;
     }
@@ -357,8 +357,8 @@ done:
     talloc_free(tmp_ctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to set [%s] from [%s], error [%d] (%s)\n",
-               attribute, section, ret, strerror(ret)));
+              "Failed to set [%s] from [%s], error [%d] (%s)\n",
+               attribute, section, ret, strerror(ret));
     }
     return ret;
 }
@@ -407,8 +407,8 @@ int confdb_get_string(struct confdb_ctx *cdb, TALLOC_CTX *ctx,
 
 failed:
     talloc_free(values);
-    DEBUG(1, ("Failed to get [%s] from [%s], error [%d] (%s)\n",
-              attribute, section, ret, strerror(ret)));
+    DEBUG(1, "Failed to get [%s] from [%s], error [%d] (%s)\n",
+              attribute, section, ret, strerror(ret));
     return ret;
 }
 
@@ -462,8 +462,8 @@ int confdb_get_int(struct confdb_ctx *cdb,
 
 failed:
     talloc_free(tmp_ctx);
-    DEBUG(1, ("Failed to read [%s] from [%s], error [%d] (%s)\n",
-              attribute, section, ret, strerror(ret)));
+    DEBUG(1, "Failed to read [%s] from [%s], error [%d] (%s)\n",
+              attribute, section, ret, strerror(ret));
     return ret;
 }
 
@@ -512,8 +512,8 @@ long confdb_get_long(struct confdb_ctx *cdb,
 
 failed:
     talloc_free(tmp_ctx);
-    DEBUG(1, ("Failed to read [%s] from [%s], error [%d] (%s)\n",
-              attribute, section, ret, strerror(ret)));
+    DEBUG(1, "Failed to read [%s] from [%s], error [%d] (%s)\n",
+              attribute, section, ret, strerror(ret));
     return ret;
 }
 
@@ -552,7 +552,7 @@ int confdb_get_bool(struct confdb_ctx *cdb,
 
         } else {
 
-            DEBUG(2, ("Value is not a boolean!\n"));
+            DEBUG(2, "Value is not a boolean!\n");
             ret = EINVAL;
             goto failed;
         }
@@ -568,8 +568,8 @@ int confdb_get_bool(struct confdb_ctx *cdb,
 
 failed:
     talloc_free(tmp_ctx);
-    DEBUG(1, ("Failed to read [%s] from [%s], error [%d] (%s)\n",
-              attribute, section, ret, strerror(ret)));
+    DEBUG(1, "Failed to read [%s] from [%s], error [%d] (%s)\n",
+              attribute, section, ret, strerror(ret));
     return ret;
 }
 
@@ -604,8 +604,8 @@ int confdb_get_string_as_list(struct confdb_ctx *cdb, TALLOC_CTX *ctx,
 done:
     talloc_free(values);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(2, ("Failed to get [%s] from [%s], error [%d] (%s)\n",
-                  attribute, section, ret, strerror(ret)));
+        DEBUG(2, "Failed to get [%s] from [%s], error [%d] (%s)\n",
+                  attribute, section, ret, strerror(ret));
     }
     return ret;
 }
@@ -643,7 +643,7 @@ int confdb_init(TALLOC_CTX *mem_ctx,
 
     ret = ldb_set_debug(cdb->ldb, ldb_debug_messages, NULL);
     if (ret != LDB_SUCCESS) {
-        DEBUG(0,("Could not set up debug fn.\n"));
+        DEBUG(0,"Could not set up debug fn.\n");
         talloc_free(cdb);
         return EIO;
     }
@@ -653,8 +653,8 @@ int confdb_init(TALLOC_CTX *mem_ctx,
     ret = ldb_connect(cdb->ldb, confdb_location, 0, NULL);
     umask(old_umask);
     if (ret != LDB_SUCCESS) {
-        DEBUG(0, ("Unable to open config database [%s]\n",
-                  confdb_location));
+        DEBUG(0, "Unable to open config database [%s]\n",
+                  confdb_location);
         talloc_free(cdb);
         return EIO;
     }
@@ -780,7 +780,7 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
     }
 
     if (res->count != 1) {
-        DEBUG(0, ("Unknown domain [%s]\n", name));
+        DEBUG(0, "Unknown domain [%s]\n", name);
         ret = ENOENT;
         goto done;
     }
@@ -793,7 +793,7 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
 
     tmp = ldb_msg_find_attr_as_string(res->msgs[0], "cn", NULL);
     if (!tmp) {
-        DEBUG(0, ("Invalid configuration entry, fatal error!\n"));
+        DEBUG(0, "Invalid configuration entry, fatal error!\n");
         ret = EINVAL;
         goto done;
     }
@@ -815,15 +815,15 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
         }
     }
     else {
-        DEBUG(0, ("Domain [%s] does not specify an ID provider, disabling!\n",
-                  domain->name));
+        DEBUG(0, "Domain [%s] does not specify an ID provider, disabling!\n",
+                  domain->name);
         ret = EINVAL;
         goto done;
     }
 
     if (strcasecmp(domain->provider, "files") == 0) {
         /* The files provider is not valid anymore */
-        DEBUG(0, ("The \"files\" provider is invalid\n"));
+        DEBUG(0, "The \"files\" provider is invalid\n");
         ret = EINVAL;
         goto done;
     }
@@ -837,7 +837,7 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                                           CONFDB_DOMAIN_AUTH_PROVIDER,
                                           NULL);
         if (tmp && strcasecmp(tmp, "local") != 0) {
-            DEBUG(0, ("Local ID provider does not support [%s] as an AUTH provider.\n", tmp));
+            DEBUG(0, "Local ID provider does not support [%s] as an AUTH provider.\n", tmp);
             ret = EINVAL;
             goto done;
         }
@@ -846,7 +846,7 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                                           CONFDB_DOMAIN_ACCESS_PROVIDER,
                                           NULL);
         if (tmp && strcasecmp(tmp, "permit") != 0) {
-            DEBUG(0, ("Local ID provider does not support [%s] as an ACCESS provider.\n", tmp));
+            DEBUG(0, "Local ID provider does not support [%s] as an ACCESS provider.\n", tmp);
             ret = EINVAL;
             goto done;
         }
@@ -855,7 +855,7 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                                           CONFDB_DOMAIN_CHPASS_PROVIDER,
                                           NULL);
         if (tmp && strcasecmp(tmp, "local") != 0) {
-            DEBUG(0, ("Local ID provider does not support [%s] as a CHPASS provider.\n", tmp));
+            DEBUG(0, "Local ID provider does not support [%s] as a CHPASS provider.\n", tmp);
             ret = EINVAL;
             goto done;
         }
@@ -873,27 +873,27 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
      * superceeded. */
     val = ldb_msg_find_attr_as_int(res->msgs[0], CONFDB_DOMAIN_ENUMERATE, 0);
     if (val > 0) { /* ok there was a number in here */
-        DEBUG(0, ("Warning: enumeration parameter in %s still uses integers! "
+        DEBUG(0, "Warning: enumeration parameter in %s still uses integers! "
                   "Enumeration is now a boolean and takes true/false values. "
-                  "Interpreting as true\n", domain->name));
+                  "Interpreting as true\n", domain->name);
         domain->enumerate = true;
     } else { /* assume the new format */
         ret = get_entry_as_bool(res->msgs[0], &domain->enumerate,
                                 CONFDB_DOMAIN_ENUMERATE, 0);
         if(ret != EOK) {
-            DEBUG(0, ("Invalid value for %s\n", CONFDB_DOMAIN_ENUMERATE));
+            DEBUG(0, "Invalid value for %s\n", CONFDB_DOMAIN_ENUMERATE);
             goto done;
         }
     }
     if (!domain->enumerate) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No enumeration for [%s]!\n", domain->name));
+        DEBUG(SSSDBG_TRACE_FUNC, "No enumeration for [%s]!\n", domain->name);
     }
 
     /* Determine if user/group names will be Fully Qualified
      * in NSS interfaces */
     ret = get_entry_as_bool(res->msgs[0], &domain->fqnames, CONFDB_DOMAIN_FQ, 0);
     if(ret != EOK) {
-        DEBUG(0, ("Invalid value for %s\n", CONFDB_DOMAIN_FQ));
+        DEBUG(0, "Invalid value for %s\n", CONFDB_DOMAIN_FQ);
         goto done;
     }
 
@@ -901,8 +901,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                             CONFDB_DOMAIN_IGNORE_GROUP_MEMBERS, 0);
     if(ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for %s\n",
-               CONFDB_DOMAIN_IGNORE_GROUP_MEMBERS));
+              "Invalid value for %s\n",
+               CONFDB_DOMAIN_IGNORE_GROUP_MEMBERS);
         goto done;
     }
 
@@ -910,7 +910,7 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               CONFDB_DOMAIN_MINID,
                               confdb_get_min_id(domain));
     if (ret != EOK) {
-        DEBUG(0, ("Invalid value for minId\n"));
+        DEBUG(0, "Invalid value for minId\n");
         ret = EINVAL;
         goto done;
     }
@@ -918,13 +918,13 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
     ret = get_entry_as_uint32(res->msgs[0], &domain->id_max,
                               CONFDB_DOMAIN_MAXID, 0);
     if (ret != EOK) {
-        DEBUG(0, ("Invalid value for maxId\n"));
+        DEBUG(0, "Invalid value for maxId\n");
         ret = EINVAL;
         goto done;
     }
 
     if (domain->id_max && (domain->id_max < domain->id_min)) {
-        DEBUG(0, ("Invalid domain range\n"));
+        DEBUG(0, "Invalid domain range\n");
         ret = EINVAL;
         goto done;
     }
@@ -933,14 +933,14 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
     ret = get_entry_as_bool(res->msgs[0], &domain->cache_credentials,
                             CONFDB_DOMAIN_CACHE_CREDS, 0);
     if(ret != EOK) {
-        DEBUG(0, ("Invalid value for %s\n", CONFDB_DOMAIN_CACHE_CREDS));
+        DEBUG(0, "Invalid value for %s\n", CONFDB_DOMAIN_CACHE_CREDS);
         goto done;
     }
 
     ret = get_entry_as_bool(res->msgs[0], &domain->legacy_passwords,
                             CONFDB_DOMAIN_LEGACY_PASS, 0);
     if(ret != EOK) {
-        DEBUG(0, ("Invalid value for %s\n", CONFDB_DOMAIN_LEGACY_PASS));
+        DEBUG(0, "Invalid value for %s\n", CONFDB_DOMAIN_LEGACY_PASS);
         goto done;
     }
 
@@ -949,8 +949,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               CONFDB_DOMAIN_ENTRY_CACHE_TIMEOUT, 5400);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for [%s]\n",
-                CONFDB_DOMAIN_ENTRY_CACHE_TIMEOUT));
+              "Invalid value for [%s]\n",
+                CONFDB_DOMAIN_ENTRY_CACHE_TIMEOUT);
         goto done;
     }
 
@@ -960,8 +960,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               entry_cache_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for [%s]\n",
-               CONFDB_DOMAIN_USER_CACHE_TIMEOUT));
+              "Invalid value for [%s]\n",
+               CONFDB_DOMAIN_USER_CACHE_TIMEOUT);
         goto done;
     }
 
@@ -971,8 +971,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               entry_cache_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for [%s]\n",
-               CONFDB_DOMAIN_GROUP_CACHE_TIMEOUT));
+              "Invalid value for [%s]\n",
+               CONFDB_DOMAIN_GROUP_CACHE_TIMEOUT);
         goto done;
     }
 
@@ -982,8 +982,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               entry_cache_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for [%s]\n",
-               CONFDB_DOMAIN_NETGROUP_CACHE_TIMEOUT));
+              "Invalid value for [%s]\n",
+               CONFDB_DOMAIN_NETGROUP_CACHE_TIMEOUT);
         goto done;
     }
 
@@ -993,8 +993,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               entry_cache_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for [%s]\n",
-               CONFDB_DOMAIN_SERVICE_CACHE_TIMEOUT));
+              "Invalid value for [%s]\n",
+               CONFDB_DOMAIN_SERVICE_CACHE_TIMEOUT);
         goto done;
     }
 
@@ -1004,8 +1004,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               entry_cache_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for [%s]\n",
-               CONFDB_DOMAIN_AUTOFS_CACHE_TIMEOUT));
+              "Invalid value for [%s]\n",
+               CONFDB_DOMAIN_AUTOFS_CACHE_TIMEOUT);
         goto done;
     }
 
@@ -1015,8 +1015,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               entry_cache_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for [%s]\n",
-               CONFDB_DOMAIN_SUDO_CACHE_TIMEOUT));
+              "Invalid value for [%s]\n",
+               CONFDB_DOMAIN_SUDO_CACHE_TIMEOUT);
         goto done;
     }
 
@@ -1026,8 +1026,8 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                               0);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Invalid value for [%s]\n",
-               CONFDB_DOMAIN_REFRESH_EXPIRED_INTERVAL));
+              "Invalid value for [%s]\n",
+               CONFDB_DOMAIN_REFRESH_EXPIRED_INTERVAL);
         goto done;
     }
 
@@ -1044,15 +1044,15 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                              CONFDB_PAM_PWD_EXPIRATION_WARNING,
                              -1, &val);
         if (ret != EOK) {
-            DEBUG(1, ("Failed to read PAM expiration warning, not fatal.\n"));
+            DEBUG(1, "Failed to read PAM expiration warning, not fatal.\n");
             val = -1;
         }
     }
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("pwd_expiration_warning is %d\n", val));
+    DEBUG(SSSDBG_TRACE_LIBS, "pwd_expiration_warning is %d\n", val);
     if (val >= 0) {
         DEBUG(SSSDBG_CONF_SETTINGS,
-              ("Setting domain password expiration warning to %d days\n", val));
+              "Setting domain password expiration warning to %d days\n", val);
         /* The value is in days, transform it to seconds */
         domain->pwd_expiration_warning = val * 24 * 3600;
     }
@@ -1060,7 +1060,7 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
     ret = get_entry_as_uint32(res->msgs[0], &domain->override_gid,
                               CONFDB_DOMAIN_OVERRIDE_GID, 0);
     if (ret != EOK) {
-        DEBUG(0, ("Invalid value for [%s]\n", CONFDB_DOMAIN_OVERRIDE_GID));
+        DEBUG(0, "Invalid value for [%s]\n", CONFDB_DOMAIN_OVERRIDE_GID);
         goto done;
     }
 
@@ -1118,13 +1118,13 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
     ret = get_entry_as_bool(res->msgs[0], &domain->case_sensitive,
                             CONFDB_DOMAIN_CASE_SENSITIVE, true);
     if(ret != EOK) {
-        DEBUG(0, ("Invalid value for %s\n", CONFDB_DOMAIN_CASE_SENSITIVE));
+        DEBUG(0, "Invalid value for %s\n", CONFDB_DOMAIN_CASE_SENSITIVE);
         goto done;
     }
     if (domain->case_sensitive == false &&
         strcasecmp(domain->provider, "local") == 0) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-             ("Local ID provider does not support the case insensitive flag\n"));
+             "Local ID provider does not support the case insensitive flag\n");
         ret = EINVAL;
         goto done;
     }
@@ -1137,7 +1137,7 @@ static int confdb_get_domain_internal(struct confdb_ctx *cdb,
                                  &domain->sd_enumerate, NULL);
         if (ret != 0) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Cannot parse %s\n", CONFDB_SUBDOMAIN_ENUMERATE));
+                  "Cannot parse %s\n", CONFDB_SUBDOMAIN_ENUMERATE);
             goto done;
         }
     }
@@ -1170,19 +1170,19 @@ int confdb_get_domains(struct confdb_ctx *cdb,
                                     CONFDB_MONITOR_ACTIVE_DOMAINS,
                                     &domlist);
     if (ret == ENOENT) {
-        DEBUG(0, ("No domains configured, fatal error!\n"));
+        DEBUG(0, "No domains configured, fatal error!\n");
         goto done;
     }
     if (ret != EOK ) {
-        DEBUG(0, ("Fatal error retrieving domains list!\n"));
+        DEBUG(0, "Fatal error retrieving domains list!\n");
         goto done;
     }
 
     for (i = 0; domlist[i]; i++) {
         ret = confdb_get_domain_internal(cdb, cdb, domlist[i], &domain);
         if (ret) {
-            DEBUG(0, ("Error (%d [%s]) retrieving domain [%s], skipping!\n",
-                      ret, strerror(ret), domlist[i]));
+            DEBUG(0, "Error (%d [%s]) retrieving domain [%s], skipping!\n",
+                      ret, strerror(ret), domlist[i]);
             continue;
         }
 
@@ -1190,7 +1190,7 @@ int confdb_get_domains(struct confdb_ctx *cdb,
     }
 
     if (cdb->doms == NULL) {
-        DEBUG(0, ("No properly configured domains, fatal error!\n"));
+        DEBUG(0, "No properly configured domains, fatal error!\n");
         ret = ENOENT;
         goto done;
     }
